/* ============================================================================================================================================= /
 * LIBRARY:         VEML6075.c
 * FILE:            VEML6075_settings.h
 * LAST REV:        1.0
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC18F
 * CREATED:         14/10/2016
 * UPDATED:         
 *
 * DESCRIP:         Settaggi I2C per VEML6075
/* ============================================================================================================================================ */

/* Definire su quale modulo I2C  collegato il dispositivo */

#define HDC1080_I2C_MODULE_1
//#define HDC1080_I2C_MODULE_2

/* COEFFICIENTI */

/*
 * A T E N Z I O N E
 * Questi coefficienti sono condivisi per il sensore on board e per il sensore remoto.
 */

// sensitivity per calcolo intensit in uW/cm^2 
//@ IT = 50ms
#define VEML6075_UVA_RESPONSIVITY       0.93
#define VEML6075_UVB_RESPONSIVITY       2.1

// Coefficienti UVI @50ms open air   (tabella a pag.15 Application note)   non  chiaro se vale per IT 50 o IT 100 o se sono sempre validi (sempre in open air)
#define VEML6075_A_COEF                 2.22
#define VEML6075_B_COEF                 1.33
#define VEML6075_C_COEF                 2.95
#define VEML6075_D_COEF                 1.74
#define VEML6075_UVI_UVA_RESPONSIVITY   0.001461                                        
#define VEML6075_UVI_UVB_RESPONSIVITY   0.002591
#define K1                              1                                               // K1 e K2 sono fattori di calibrazione non potendoli calcolare sono impostati a 1    
#define K2                              1

// Coefficienti UVI @50ms teflon 0.4mm 10mm window  (tabella a pag.15 Application note) 
//#define VEML6075_A_COEF                 2.22
//#define VEML6075_B_COEF                 1.17
//#define VEML6075_C_COEF                 2.95
//#define VEML6075_D_COEF                 1.58
//#define VEML6075_UVI_UVA_RESPONSIVITY   0.007293
//#define VEML6075_UVI_UVB_RESPONSIVITY   0.008334
//#define K1                              1                                               // K1 e K2 sono fattori di calibrazione non potendoli calcolare sono impostati a 1    
//#define K2                              1